<script type="text/javascript" src="{S_EXTENDER_CM_PATH}/lib/codemirror.js"></script>
<script type="text/javascript" src="{S_EXTENDER_CM_PATH}/addon/edit/matchbrackets.js"></script>
<script type="text/javascript" src="{S_EXTENDER_CM_PATH}/addon/display/fullscreen.js"></script>
<script type="text/javascript" src="{S_EXTENDER_CM_PATH}/mode/htmlmixed/htmlmixed.js"></script>
<script type="text/javascript" src="{S_EXTENDER_CM_PATH}/mode/xml/xml.js"></script>
<script type="text/javascript" src="{S_EXTENDER_CM_PATH}/mode/javascript/javascript.js"></script>
<script type="text/javascript" src="{S_EXTENDER_CM_PATH}/mode/css/css.js"></script>
<script type="text/javascript" src="{S_EXTENDER_CM_PATH}/mode/clike/clike.js"></script>
<script type="text/javascript" src="{S_EXTENDER_CM_PATH}/mode/php/php.js"></script>

<script type="text/javascript">
// <![CDATA[

function extender_css_load(file){
	var link = document.createElement("link");
	link.setAttribute("rel", "stylesheet");
	link.setAttribute("type", "text/css");
	link.setAttribute("href", file);
	document.getElementsByTagName("head")[0].appendChild(link);
}

extender_css_load("{S_EXTENDER_CM_PATH}/lib/codemirror.css");
extender_css_load("{S_EXTENDER_CM_PATH}/addon/display/fullscreen.css");

var extender_core_editor = null;
var extender_template_editor = null;
var extender_cm_script_editor = null;

function close_extender_editor(cm) {
	cm.setOption("fullScreen", false);
	cm.toTextArea();
}
function close_extender_core_editor() {
	close_extender_editor(extender_core_editor);
	document.getElementById("extender_core_close_button").style.display = "none";
}
function close_extender_template_editor() {
	close_extender_editor(extender_template_editor);
	document.getElementById("extender_template_close_button").style.display = "none";
}
function close_extender_cm_script_editor() {
	close_extender_editor(extender_cm_script_editor);
	document.getElementById("extender_cm_script_close_button").style.display = "none";
}
function set_extender_core_editor() {
	extender_core_editor = CodeMirror.fromTextArea(document.getElementById("extender_core"), {
		mode: "text/x-php",
		smartIndent: false,
		indentUnit: 0,
		indentWithTabs: true,
		lineNumbers: true,
		lineWrapping: false,
		matchBrackets: true,
		autofocus: true,
		extraKeys: {
			"F11": function(cm) { close_extender_core_editor(); },
			"Esc": function(cm) { close_extender_core_editor(); }
		}
	});
	extender_core_editor.setOption("fullScreen", true);
	document.getElementById("extender_core_close_button").style.display = "";
}
function set_extender_template_editor() {
	extender_template_editor = CodeMirror.fromTextArea(document.getElementById("extender_template"), {
		smartIndent: false,
		indentUnit: 0,
		indentWithTabs: true,
		lineNumbers: true,
		lineWrapping: false,
		matchBrackets: true,
		autofocus: true,
		extraKeys: {
			"F11": function(cm) { close_extender_template_editor(); },
			"Esc": function(cm) { close_extender_template_editor(); }
		}
	});
	extender_template_editor.setOption("fullScreen", true);
	document.getElementById("extender_template_close_button").style.display = "";
}
function set_extender_cm_script_editor() {
	extender_cm_script_editor = CodeMirror.fromTextArea(document.getElementById("extender_cm_script"), {
		smartIndent: false,
		indentUnit: 0,
		indentWithTabs: true,
		lineNumbers: true,
		lineWrapping: false,
		matchBrackets: true,
		autofocus: true,
		extraKeys: {
			"F11": function(cm) { close_extender_cm_script_editor(); },
			"Esc": function(cm) { close_extender_cm_script_editor(); }
		}
	});
	extender_cm_script_editor.setOption("fullScreen", true);
	document.getElementById("extender_cm_script_close_button").style.display = "";
}

function extender_add_buttons(element,openeditorfunction,closeeditorfunction) {
	var extender_element = document.getElementById(element);
	var new_extender_element = document.createElement("INPUT");
	new_extender_element.type = "button";
	new_extender_element.className = "button2";
	new_extender_element.value = "{ACP_EXTENDER_CM_BUTTON}";
	new_extender_element.onclick = openeditorfunction;
	extender_element.parentNode.insertBefore(new_extender_element,extender_element);
	new_extender_element = document.createElement("INPUT");
	new_extender_element.type = "button";
	new_extender_element.className = "button1";
	new_extender_element.style = "position: fixed; top: 0px; left: 0px; z-index: 100; padding: 1px; margin: 0px; border: none;";
	new_extender_element.style.display = "none";
	new_extender_element.value = "×";
	new_extender_element.onclick = closeeditorfunction;
	new_extender_element.id = element + "_close_button";
	extender_element.parentNode.insertBefore(new_extender_element,extender_element);
}

extender_add_buttons("extender_core",set_extender_core_editor,close_extender_core_editor);
extender_add_buttons("extender_template",set_extender_template_editor,close_extender_template_editor);
extender_add_buttons("extender_cm_script",set_extender_cm_script_editor,close_extender_cm_script_editor);

// ]]>
</script>