<?php
/**
*
* @package extender: core and template event listeners constructor
* @copyright (c) 2014 c61 c61@yandex.ru http://c61.su
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

namespace c61\extender\migrations\v0xx;

class extender_v_0_1_8 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['extender_version']) && version_compare($this->config['extender_version'], '0.1.8', '>=');
	}

	static public function depends_on()
	{
		return array(
			'\c61\extender\migrations\v0xx\extender_v_0_1_7'
		);
	}

	public function update_schema()
	{
		return array(
		);
	}

	public function revert_schema()
	{
		return array(
		);
	}

	public function update_data()
	{
		global $phpbb_root_path;

		return array(
			// Update existing configs

			// Current version
			array('config.update', array('extender_version', '0.1.8')),

			// Add/update configs
			array('config.add', array('extender_cm_path', 'http://codemirror.net')),
			array('config_text.update', array('extender_cm_script', htmlspecialchars(file_get_contents(realpath($phpbb_root_path).DIRECTORY_SEPARATOR.'ext'.DIRECTORY_SEPARATOR.'c61'.DIRECTORY_SEPARATOR.'extender'.DIRECTORY_SEPARATOR.'includes'.DIRECTORY_SEPARATOR.'cm_script.inc')))),
		);
	}

}