<?php
/**
*
* @package extender: core and template event listeners constructor
* @copyright (c) 2014 c61 c61@yandex.ru http://c61.su
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

namespace c61\extender\migrations\v0xx;

class extender_v_0_2_0 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['extender_version']) && version_compare($this->config['extender_version'], '0.2.0', '>=');
	}

	static public function depends_on()
	{
		return array(
			'\c61\extender\migrations\v0xx\extender_v_0_1_8'
		);
	}

	public function update_schema()
	{
		return array(
		);
	}

	public function revert_schema()
	{
		return array(
		);
	}

	public function update_data()
	{
		global $phpbb_root_path;

		return array(
			// Update existing configs

			// Current version
			array('config.update', array('extender_version', '0.2.0')),
		);
	}

}